Bug 193153 - [NEW PORT] benchmarks/dhrystone: Computing benchmark for integer operations
Summary: [NEW PORT] benchmarks/dhrystone: Computing benchmark for integer operations
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: i386 Any
: --- Affects Some People
Assignee: Rodrigo Osorio
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-08-30 17:42 UTC by Radim Kolar
Modified: 2015-01-16 12:41 UTC (History)
1 user (show)

See Also:


Attachments
port shar file (1.89 KB, text/plain)
2014-08-30 17:42 UTC, Radim Kolar
no flags Details
port shar (4.66 KB, text/plain)
2014-09-02 10:48 UTC, Radim Kolar
no flags Details
poudriere build log (15.26 KB, text/plain)
2014-09-07 07:12 UTC, Radim Kolar
no flags Details
port shar (4.66 KB, text/plain)
2014-09-07 07:15 UTC, Radim Kolar
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Radim Kolar 2014-08-30 17:42:51 UTC
Created attachment 146543 [details]
port shar file

dhrystone 2.1 benchmark. This is one of oldest benchmark (created 1984) and its still used today mainly for benchmarking ARM CPU performance. ARM CPU performance is often reported in DMIPS/MHZ
Comment 1 Radim Kolar 2014-09-02 10:48:15 UTC
Created attachment 146674 [details]
port shar

added DOCS option - it will install short article about dhrystone benchmark
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2014-09-06 03:19:22 UTC
Thanks for your submission Radim,

If you could attach the following, it should help get this into the tree sooner:

 * Successful poudriere testport, or redports.org build output (attachment)
 * portlint -AC output (after addressing any issues)

Initial review items:

 * Add LICENSE_FILE if the distribution files includes one
Comment 3 Radim Kolar 2014-09-07 07:11:10 UTC
(hsn@sanatana:pts/8):ports/dhrystone% portlint -CA                         9:09
WARN: Makefile: how about using "${MASTER_SITE_NETLIB}" with "MASTER_SITE_SUBDIR=benchmark", instead of "http://www.netlib.org/benchmark/"?
WARN: Makefile: use of DISTFILES with single file discouraged. distribution filename should be set by DISTNAME and EXTRACT_SUFX.
WARN: Makefile: DISTFILES/DISTNAME affects WRKSRC. take caution when changing them.
WARN: Consider to set DEVELOPER=yes in /etc/make.conf
0 fatal errors and 4 warnings found.
Comment 4 Radim Kolar 2014-09-07 07:12:09 UTC
Created attachment 146976 [details]
poudriere build log
Comment 5 Radim Kolar 2014-09-07 07:15:28 UTC
Created attachment 146977 [details]
port shar

strip installed binary
Comment 6 Radim Kolar 2014-09-07 07:17:33 UTC
this test is public domain, i set license to BSD2CLAUSE its closest
Comment 7 Rodrigo Osorio freebsd_committer 2014-12-25 21:46:43 UTC
@Radim: Still interested by making this port ?
Comment 8 Radim Kolar 2015-01-13 16:21:38 UTC
yes
Comment 9 commit-hook freebsd_committer 2015-01-14 15:50:46 UTC
A commit references this bug:

Author: rodrigo
Date: Wed Jan 14 15:49:57 UTC 2015
New revision: 377022
URL: https://svnweb.freebsd.org/changeset/ports/377022

Log:
  New port benchmarks/dhrystone : a computing benchmark for integer operations

  PR:		193153
  Submitted by:	Radim Kolar <hsn@sendmail.cz>

Changes:
  head/benchmarks/Makefile
  head/benchmarks/dhrystone/
  head/benchmarks/dhrystone/Makefile
  head/benchmarks/dhrystone/distinfo
  head/benchmarks/dhrystone/files/
  head/benchmarks/dhrystone/files/patch-hz
  head/benchmarks/dhrystone/files/patch-includes
  head/benchmarks/dhrystone/pkg-descr
Comment 10 Rodrigo Osorio freebsd_committer 2015-01-14 15:51:05 UTC
committed with minor changes, thanks
Comment 11 Rodrigo Osorio freebsd_committer 2015-01-15 08:45:38 UTC
Another commiter suggest me few changes in the port to be more compliant with our style. If you agree I'll commit those changes directly.
Comment 12 commit-hook freebsd_committer 2015-01-16 12:41:43 UTC
A commit references this bug:

Author: rodrigo
Date: Fri Jan 16 12:41:02 UTC 2015
New revision: 377171
URL: https://svnweb.freebsd.org/changeset/ports/377171

Log:
  - Fix Makefile style
  - Fix MASTER site
  - Fix EXTRACT cmd
  - Add generic Makefile for compilation
  - Install DOC by default
  - Bump PORTREVISION

  PR:		193153
  Reviewed by:	bapt

Changes:
  head/benchmarks/dhrystone/Makefile
  head/benchmarks/dhrystone/files/patch-Makefile
  head/benchmarks/dhrystone/pkg-descr